BatchDeleteCodeReviews
Deletes one or more code reviews from an agent space.
Request Syntax
POST /BatchDeleteCodeReviews HTTP/1.1
Content-type: application/json
{
"agentSpaceId": "string",
"codeReviewIds": [ "string" ]
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- agentSpaceId
-
The unique identifier of the agent space that contains the code reviews to delete.
Type: String
Required: Yes
- codeReviewIds
-
The list of code review identifiers to delete.
Type: Array of strings
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"deleted": [ "string" ],
"failed": [
{
"codeReviewId": "string",
"reason": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- deleted
-
The list of identifiers of the code reviews that were successfully deleted.
Type: Array of strings
- failed
-
The list of code reviews that failed to delete, including the reason for each failure.
Type: Array of DeleteCodeReviewFailure objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: